## pyvkfft-cuda 2024.1.4+ds1

=== debian/changelog ===
pyvkfft-cuda (2024.1.4+ds1-7ubuntu1) questing; urgency=medium

  * d/control: remove nvidia-detect B-D. This Build dependency comes from the
    nvidia-graphics-drivers source package, which is not available in Ubuntu.
    A similar binary is provided by the ubuntu-drivers-common binary package
    (/usr/bin/nvidia-detector), but they slightly differ. Since this B-D is
    only used for test purposes and failures are ignored in d/rules (because
    nvidia cards may not be available), let's just drop the B-D.
  * d/t/control: mark test skip-not-installable. Since the nvidia-detect
    package is not available in Ubuntu, we skip any tests needing it.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 08 Aug 2025 15:18:40 -0300

pyvkfft-cuda (2024.1.4+ds1-7) unstable; urgency=medium

  * Bug fix: "rebuild for numpy transition", thanks to Emilio Pozuelo
    Monfort (Closes: #1095892).

 -- Roland Mas <lolando@debian.org>  Wed, 19 Feb 2025 16:40:18 +0100

pyvkfft-cuda (2024.1.4+ds1-6) unstable; urgency=medium

  * d/rules: do not fail if the cuda driver is not available in sbuild
  * d/t/cuda: use the right backend cuda -> pycuda
  * Bug fix: "rebuild for python3.13 as default python version", thanks to
    Emilio Pozuelo Monfort (Closes: #1092998).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 15 Jan 2025 09:29:51 +0100

pyvkfft-cuda (2024.1.4+ds1-5) UNRELEASED; urgency=medium

  * Run testsuite on all supported Python versions.

 -- Roland Mas <lolando@debian.org>  Fri, 22 Nov 2024 15:57:07 +0100

pyvkfft-cuda (2024.1.4+ds1-4) unstable; urgency=medium

  * Add versioned Conflicts: to fix: "python3-pyvkfft-cuda has an
    undeclared file conflict on
    /usr/lib/python3/dist-packages/pyvkfft/cuda.py", thanks to Helmut
    Grohne (Closes: #1085389) (for real this time).

 -- Roland Mas <lolando@debian.org>  Sun, 20 Oct 2024 16:17:52 +0200

pyvkfft-cuda (2024.1.4+ds1-3) unstable; urgency=medium

  * Add versioned dependency to fix: "python3-pyvkfft-cuda has an
    undeclared file conflict on
    /usr/lib/python3/dist-packages/pyvkfft/cuda.py", thanks to Helmut
    Grohne (Closes: #1085049).

 -- Roland Mas <lolando@debian.org>  Wed, 16 Oct 2024 13:28:29 +0200

pyvkfft-cuda (2024.1.4+ds1-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Fri, 11 Oct 2024 16:17:01 +0200

pyvkfft-cuda (2024.1.4+ds1-1) unstable; urgency=medium

  * New source package for buliding the CUDA variant of pyvkfft, based on
    the pyvkfft source package.
  * Don't build docs, but only the CUDA module.

 -- Roland Mas <lolando@debian.org>  Sat, 05 Oct 2024 19:05:43 +0200
