=== debian/control ===
Source: pyvkfft-cuda
Section: contrib/science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Roland Mas <lolando@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-numpy3,
 dh-sequence-python3,
 libvkfft-dev (>= 1.3.4),
 nvidia-cuda-toolkit,
 python3-all,
 python3-psutil,
 python3-pycuda <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/vincefn/pyvkfft
Vcs-Git: https://salsa.debian.org/science-team/pyvkfft-cuda.git
Vcs-Browser: https://salsa.debian.org/science-team/pyvkfft-cuda
Rules-Requires-Root: no

Package: python3-pyvkfft-cuda
Architecture: any
Depends:
 python3-pycuda,
 python3-pyvkfft,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Conflicts: python3-pyvkfft (< 2024.1.4+ds1-2),
Description: Binding to the CUDA backends of VkFFT - Python3
 pyvkfft offers a simple python interface to the CUDA and OpenCL
 backends of VkFFT, compatible with pyCUDA, CuPy and pyOpenCL.
 .
 This package installs the CUDA backend.
