=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyvkfft
export VKFFT_BACKEND=cuda

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	rm -f debian/python3-pyvkfft-cuda/usr/bin/*
	find debian/python3-pyvkfft-cuda/usr/lib -type f -not -name *.so -not -name cuda.py -delete
	for i in $$(seq 5) ; do find debian/python3-pyvkfft-cuda/ -type d -empty -delete ; done

override_dh_auto_test:
	-nvidia-detect | grep -q "No NVIDIA GPU detected." || dh_auto_test
