=== debian/tests/control ===
Tests: cuda
Depends: nvidia-detect, python3-all, python3-pyvkfft,
Restrictions: allow-stderr, skip-not-installable, skippable, skip-not-installable
